#include <bits/stdc++.h>

using namespace std;

int binarna(int a[],int n,int x)
{
    int p=0,k=n-1,s;
    while(p<=k)
    {
        s=(p+k)/2;
        if(x==a[s])
        {
            return s;
        }
        else if(x<a[s])
        {
            k=s-1;
        }
        else
        {
            p=s+1;
        }
    }
}

int main()
{
    int n,q;
    cin>>n>>q;
    int a[n],b[q],res[q];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<q;i++)
    {
        cin>>b[i];
    }
    sort(a,a+n);
    for(int i=0;i<q;i++)
    {
        if(b[i]>a[n-1])
        {
            res[i]=n;
        }
        else
        {
            int poz=binarna(a,n,b[i]);
            int med=n/2;
            if(n%2==0)
            {
                res[i]=(poz-med)*2;
            }
            else
            {
                if(poz!=med)
                {
                    res[i]=(poz-med-1)*2+1;
                }
                else
                {
                    res[i]=0;
                }
            }
        }
    }
    for(int i=0;i<q;i++)
    {
        cout<<res[i]<<"\n";
    }
    return 0;
}